using System;
using System.Globalization;
using System.Windows.Data;

namespace SilverlightSyndication
{
    public class DateOnlyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            DateTime targetDateTime = ((DateTimeOffset)value).DateTime;
            string formattedDate = targetDateTime.ToShortDateString();
            return formattedDate;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new System.NotImplementedException();
        }
    }
}